.card {
  perspective: 150rem;
  -moz-perspective: 150rem;
  position: relative;
  height: 52rem;

  &__side {
    font-size: 2rem;
    height: 52rem;
    transition: all 1s ease;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    backface-visibility: hidden;
    border-radius: .3rem;
    overflow: hidden;
    box-shadow: 0 1.5rem 4rem rgba($color-black, .15);

    &--front {
      background-color: $color-white;

    }
    &--back {
      transform: rotateY(180deg);

      &-gradient-secondary {
        background-image: linear-gradient(to right bottom, $color-secondary-light, $color-secondary-dark);
      }

      &-gradient-primary {
        background-image: linear-gradient(to right bottom, $color-primary-light, $color-primary-dark);
      }

      &-gradient-tertiary {
        background-image: linear-gradient(to right bottom, $color-tertiary-light, $color-tertiary-dark);
      }
    }
  }
  &:hover &__side--front {
    transform: rotateY(180deg);
  }

  &:hover &__side--back {
    transform: rotateY(360deg);
  }

  &__picture {
    background-size: cover;
    height: 23rem;
    background-blend-mode: soft-light;
    clip-path: polygon(0 0, 100% 0, 100% 80%, 0 100%);

    &--secondary {
      background-image:
              linear-gradient(to right bottom, $color-secondary-light, $color-secondary-dark),
              url("../img/nat-5.jpg");
    }

    &--primary {
      background-image: linear-gradient(to right bottom, $color-primary-light, $color-primary-dark),
        url("../img/nat-6.jpg");
    }

    &--tertiary {
      background-image: linear-gradient(to right bottom, $color-tertiary-light, $color-tertiary-dark),
      url("../img/nat-7.jpg");
    }
  }

  &__heading {
    font-size: 2.8rem;
    font-weight: 300;
    text-transform: uppercase;
    color: $color-white;
    position: absolute;
    top: 12rem;
    right: 2rem;
    text-align: right;
    width: 75%;

    &-span {
      padding: 1rem 1.5rem;
      -webkit-box-decoration-break: clone;

      &--secondary {
        background-image: linear-gradient(to right bottom, rgba($color-secondary-light,.85), rgba($color-secondary-dark,.85));
      }
      &--primary {
        background-image: linear-gradient(to right bottom, rgba($color-primary-light,.85), rgba($color-primary-dark,.85));
      }

      &--tertiary {
        background-image: linear-gradient(to right bottom, rgba($color-tertiary-light,.85), rgba($color-tertiary-dark,.85));
      }
    }
  }
  &__details {
    padding: 3rem;
    ul {
      list-style: none;
      width: 80%;
      margin: 0 auto;

      li {
        text-align: center;
        font-size: 1.5rem;
        padding:  1rem;

        &:not(:last-child) {
          border-bottom: .1rem solid $color-grey-light-2;
        }
      }
    }
  }

  &__cta {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    text-align: center;
  }

  &__price-box {
    margin-bottom: 8rem;
    color: $color-white;
  }

  &__price-only {
    font-size: 1.4rem;
    text-transform: uppercase;
  }

  &__price-value {
    font-size: 6rem;
    font-weight: 100;

  }
}